common:
    target:
        - lpc11u35_501
    core:
        - Cortex-M0
    macros:
        - INTERFACE_LPC11U35
        - DAPLINK_HIC_ID=0x97969902  # DAPLINK_HIC_ID_LPC11U35
        - OS_CLOCK=48000000
    includes:
        - source/hic_hal/nxp/lpc11u35
        - source/hic_hal/nxp/lpc11u35
    sources:
        hic_hal:
            - source/hic_hal/nxp/lpc11u35
            - source/hic_hal/nxp/lpc11u35/armcc
            - source/hic_hal/nxp/lpc11u35

tool_specific:
    uvision:
        misc:
            ld_flags:
                - --predefine="-I..\..\..\source\hic_hal\nxp\lpc11u35"
    make_armcc:
        misc:
            ld_flags:
                - --predefine="-Isource\hic_hal\nxp\lpc11u35"
